> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a endpoint by name

> Get a endpoint by name (returns endpoint if user has access and endpoint is active)



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/aigateway/v1/endpoints/{endpointName}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/aigateway/v1/endpoints/{endpointName}:
    get:
      tags:
        - AI Gateway
      summary: Get a endpoint by name
      description: >-
        Get a endpoint by name (returns endpoint if user has access and endpoint
        is active)
      operationId: getGatewayEndpointByName
      parameters:
        - description: Name of the endpoint to get
          in: path
          name: endpointName
          required: true
          schema:
            type: string
        - description: Number of input tokens sent to the endpoint
          in: query
          name: numInputTokens
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    EndpointEnvelopeV1:
      properties:
        creationDate:
          description: ISO 8601 formatted time of when the Endpoint was created
          example: '2022-04-23T18:25:43.511Z'
          format: date-time
          type: string
        endpointId:
          description: ID of the endpoint
          example: 62604702b7e5d347dbe7a909
          type: string
        endpointName:
          description: Valid name of the endpoint
          example: completions
          type: string
        endpointType:
          description: Type of the endpoint
          example: llm/v1/completions
          type: string
        modelConfig:
          $ref: '#/components/schemas/ModelConfigV1'
        modelName:
          description: Name of the model
          example: gpt-4
          type: string
        modelProvider:
          description: Provider of the model
          example: openai
          type: string
      required:
        - endpointId
        - endpointName
        - endpointType
        - modelProvider
        - modelName
        - modelConfig
        - creationDate
      type: object
    ModelConfigV1:
      additionalProperties:
        type: string
      description: Configuration for the model
      example:
        openai_api_key: 58utu49034093nc9cc9n
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Get permissions for a endpoint by name](/6.3/api-reference/ai-gateway/get-permissions-for-a-endpoint-by-name.md)
- [Get endpoint by id](/6.3/api-reference/genai/get-endpoint-by-id.md)
- [Get a Gen AI Endpoint Version](/6.3/api-reference/genai/get-a-gen-ai-endpoint-version.md)
- [Get the collaborators for a Gen AI Endpoint](/6.3/api-reference/genai/get-the-collaborators-for-a-gen-ai-endpoint.md)
